#!/bin/bash

#removing apache start screen
welcomescreen="/etc/httpd/conf.d/welcome.conf"
if [ -f $welcomescreen ]; then
	rm -f $welcomescreen
	if [ $? -ne 0 ]; then
		echo "Error removing welcome screen" >&2
	fi
fi

# replace contents of httpd.conf.  to maintain selinux context, 
# instead of deleting and recreating, I'm emptying and appending.
sed -i '/.*/d' /etc/httpd/conf/httpd.conf
cat /opt/Dell/scripts/httpd.conf >>/etc/httpd/conf/httpd.conf

# replace contents of ssl.conf
sed -i '/.*/d' /etc/httpd/conf.d/ssl.conf
cat /opt/Dell/scripts/ssl.conf >>/etc/httpd/conf.d/ssl.conf

/sbin/chkconfig --level 345 httpd on

/sbin/service httpd restart
/usr/sbin/lokkit -p 80:tcp
/usr/sbin/lokkit -p 443:tcp

if [ $? -ne 0 ]; then
	echo "Error configuring apache to run on boot up" >&2
	exit 1
fi

# redirection - create .htaccess at doc root (/var/www/html)
#val=`/usr/share/webapps/spectre/configscripts/get_ip.sh`
#/usr/share/webapps/spectre/configscripts/write_htaccess.sh ${val}

#End Adding the AdminPortal Security

# Set selinux to allow httpd to proxy to razor
# output of getsebool is like "httpd_can_network_connect --> on", get value
CURRVAL=$(getsebool httpd_can_network_connect | sed -e 's/.*--> \(.*\)$/\1/')
if [ "x$CURRVAL" == "xoff" ]; then
  # This command is very slow, so only execute if needed
  setsebool -P httpd_can_network_connect on
fi

#End Configuration.
echo "******Successfully Configured Apache httpd******"
